> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mpcvault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RejectSigningRequest

> Reject a pending signing request.

Rejects a signing request. Once rejected, it cannot be reopened or executed. This action is irreversible.


## OpenAPI

````yaml /openapi.json POST /v1/rejectSigningRequest
openapi: 3.1.0
info:
  title: mpcvault.platform.v1
  version: 0.0.1
servers:
  - url: https://api.mpcvault.com
    description: MPCVault API Server
security:
  - ApiKeyAuth: []
tags:
  - name: mpcvault.platform.v1.PlatformAPI
paths:
  /v1/rejectSigningRequest:
    post:
      tags:
        - mpcvault.platform.v1.PlatformAPI
      summary: RejectSigningRequest
      description: >-
        RejectSigningRequest rejects a signing request. Once a signing request
        is rejected, it cannot be re-opened.
      operationId: mpcvault.platform.v1.PlatformAPI.RejectSigningRequest
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/mpcvault.platform.v1.RejectSigningRequestRequest
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/mpcvault.platform.v1.RejectSigningRequestResponse
components:
  schemas:
    mpcvault.platform.v1.RejectSigningRequestRequest:
      type: object
      properties:
        uuid:
          type: string
          title: uuid
          description: |-
            required:true
            symbol_value:"bb6f129f-bbe3-4d95-9f33-c32812e3e1c4"
            comment:uuid is the unique identifier of the signing request.
      additionalProperties: false
    mpcvault.platform.v1.RejectSigningRequestResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/mpcvault.platform.v1.Error'
      additionalProperties: false
    mpcvault.platform.v1.Error:
      type: object
      allOf:
        - properties:
            message:
              type: string
              title: message
        - oneOf:
            - type: object
              properties:
                executeSigningRequestsErrorCode:
                  $ref: >-
                    #/components/schemas/mpcvault.platform.v1.ExecuteSigningRequestsErrorCode
              title: execute_signing_requests_error_code
              required:
                - executeSigningRequestsErrorCode
            - type: object
              properties:
                serviceErrorCode:
                  $ref: '#/components/schemas/mpcvault.platform.v1.ServiceErrorCode'
              title: service_error_code
              required:
                - serviceErrorCode
      additionalProperties: false
    mpcvault.platform.v1.ExecuteSigningRequestsErrorCode:
      type: string
      title: ExecuteSigningRequestsErrorCode
      enum:
        - EXECUTE_SIGNING_REQUESTS_ERROR_CODE_UNSPECIFIED
        - EXECUTE_SIGNING_REQUESTS_ERROR_CODE_INSUFFICIENT_FUNDS
        - EXECUTE_SIGNING_REQUESTS_ERROR_CODE_ALREADY_DENIED
    mpcvault.platform.v1.ServiceErrorCode:
      type: string
      title: ServiceErrorCode
      enum:
        - SERVICE_ERROR_CODE_UNSPECIFIED
        - SERVICE_ERROR_CODE_ORG_SUBSCRIBED_PLAN_LIMIT_EXCEED
        - SERVICE_ERROR_CODE_ORG_SUBSCRIBED_PLAN_EXPIRED
        - SERVICE_ERROR_CODE_ORG_SUBSCRIBED_PLAN_NOT_SUPPORT
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-mtoken
      description: Your API token. Required for all API requests.

````